// AD9833 LF, AD9834 RF generator test
// 6.12.2019, Arduino v1.8.9
//---------------------------------------------------------------------------------------------------------
#include "ad9833.h"
#include "ad9834.h"

#define AD9833_FSYNC  5
#define AD9833_CLK    6
#define AD9833_DATA   7
#define AD9833_FXTAL  32000386      // AD9833 F_MCLK is 32 MHz

#define AD9834_FSYNC  8
#define AD9834_CLK    9
#define AD9834_DATA   10
#define AD9834_FXTAL  74999090      // AD9834 F_MCLK is 75 MHz

AD9834 ad9833(AD9833_FSYNC, AD9833_CLK, AD9833_DATA);
AD9834 ad9834(AD9834_FSYNC, AD9834_CLK, AD9834_DATA);

uint32_t rf = 1000000;
uint32_t lf = 1000;
//---------------------------------------------------------------------------------------------------------
void setup() {
  ad9833.init(AD9833_FXTAL);
  ad9833.set_freq(lf);
  ad9834.init(AD9834_FXTAL);
  ad9834.set_freq(rf);
}
//---------------------------------------------------------------------------------------------------------
void loop() {
}
